<app-navbar>
</app-navbar>
<br/>
<form novalidate [formGroup]="form">

	<div class="row">

		<div class="col-md-3">

			<select formControlName="technology" class="form-control">
				<option value="0" selected>Select Technology</option>
				<option *ngFor="let technology of technologies" value={{technology.id}}>
				{{technology.name}}
				</option>
			</select>
		</div>

		<div class="col-md-3">

			<div class="input-group">

				<input class="form-control" placeholder="yyyy-mm-dd" name="dp1" ngbDatepicker #d1="ngbDatepicker" formControlName="fromDate"
					required>

					<div class="input-group-append">

						<button class="btn btn-outline-secondary calendar" (click)="d1.toggle()" type="button"></button>

					</div>

			</div>

		</div>

		<div class="col-md-3">

			<div class="input-group">

				<input class="form-control" placeholder="yyyy-mm-dd" name="dp2" ngbDatepicker #d2="ngbDatepicker" formControlName="toDate"
					required>

					<div class="input-group-append">

						<button class="btn btn-outline-secondary calendar" (click)="d2.toggle()" type="button"></button>

					</div>

			</div>

		</div>

		<div class="col-md-3 col-sm-3">

			<button class="btn btn-primary" (click)="search(form.value)">Search</button>

		</div>

	</div>
	<div class="row">
		<table class="table table-responsive">

			<tr>

				<th>First Name</th>

				<th>Last Name</th>

				<th>Rating</th>

				<th>Experience</th>

				<th>Propose</th>

			</tr>

			<tbody>

				<tr *ngFor="let user of searchResults">

					<td>{{ user.firstName}}</td>

					<td>{{ user.lastName}}</td>

					<td>{{ user.rating}}</td>

					<td>{{ user.yearsOfExperience}}</td>

					<td><button class="btn btn-primary" (click)="propose(user)">Propose</button></td>

				</tr>

			</tbody>

		</table>
	</div>
</form>